#pragma once

class IDrawable
{
public:
	virtual void update(int ticks) = 0;
	virtual void display() = 0;
	virtual bool isReflecter() = 0; // return false if the surface shows reflections
};

class IKeyEvent
{
public:
	virtual void onNormalKey(unsigned char key) = 0;
	virtual void onSpecialKey(int key) = 0;
};

class IStatistics
{
public:
	virtual void printStatistics() = 0;
};