#pragma once

class FBO
{
public:
	FBO(unsigned int fboWidth, unsigned int fboHeight);
	~FBO();

	void bind();
	void unbind();
	bool attach(unsigned int attachment, unsigned int textureId);
	void unattach(unsigned int attachment);
	void read(unsigned int attachment, float *data, int offset);
	void read(unsigned int attachment, float *rdata, float *gdata, float *bdata, float *adata);
	void readPacked(unsigned int attachment, float *data);

private:
	bool checkFBStatus();

	float *rgbaData;
	unsigned int width;
	unsigned int height;
	unsigned int fboId;
	bool bound;
};