uniform sampler2D tex;

void main(void)
{
	// the jacobi method
	
	// x = A, y = h, z = b
	vec4 values = texture2D(tex, gl_TexCoord[0].st);

	gl_FragColor.rb = values.xz;
	gl_FragColor.g = (values.z + (4.0 * values.y)) / values.x;
}