#pragma once

#include "Drawable.h"

class EnvironmentMap : public IDrawable, public IStatistics
{
public:
	EnvironmentMap(const std::string &name, const std::string &type, int textureSize);

	virtual void update(int ticks) {}
	virtual void display();
	virtual bool isReflecter() { return true; }
	virtual void printStatistics(); 

private:
	void loadTexture(GLenum target, const std::string &filename);
	bool checkILError(const char *location);

	int size;
	unsigned int texEnvMap;
};