#pragma once

#include "Drawable.h"

class Walls : public IDrawable
{
public:
	Walls(unsigned int waterSize, float spacing, float waterLevel);
	virtual ~Walls();

	virtual void update(int ticks);
	virtual void display();
	virtual bool isReflecter() { return true; }

protected:
	void drawWalls();

	unsigned int size; // the size of the surface
	float height;
	unsigned int listHandle;
	unsigned int wallTex;
};