uniform sampler2D texH;
uniform sampler2D texAB;

void main(void)
{
	// the jacobi method
	vec2 AB = texture2D(texAB, gl_TexCoord[0].st).xy;
	float h = texture2D(texH, gl_TexCoord[0].st).x;

	gl_FragColor.x = (AB.y + (4.0 * h)) / AB.x; // (b + (4.0 * h)) / A
}