//uniform sampler2D tex;

void main()
{
	vec3 normal, lightDir;
	vec4 diffuse;
	float NdotL;

	normal = normalize(gl_NormalMatrix * gl_Normal);
	lightDir = normalize(vec3(gl_LightSource[0].position));
	NdotL = max(dot(normal, lightDir), 0.0);
	diffuse = gl_FrontMaterial.diffuse * gl_LightSource[0].diffuse;
	gl_FrontColor =  NdotL * diffuse;

	//vec4 v = vec4(gl_Vertex);
	gl_TexCoord[0] = gl_MultiTexCoord0;
	//vec4 heightArray = texture2D(tex,gl_TexCoord[0].st);
	//v.y = heightArray[0];
	//color[0] *= 2.0;
	//if (color[0] == 30.0)
	//	v.z = 0.0;
	//gl_Position = gl_ModelViewProjectionMatrix * v;
	gl_Position = ftransform();
}
