uniform sampler2D texA;
uniform sampler2D texh;
uniform sampler2D texb;

void main(void)
{
	// the jacobi method with packed data
	
	vec4 A = texture2D(texA, gl_TexCoord[0].st);
	vec4 h = texture2D(texh, gl_TexCoord[0].st);
	vec4 b = texture2D(texb, gl_TexCoord[0].st);

	gl_FragColor = (b + 4.0*h) / A;
	/*gl_FragColor.x = (b.x + (4.0 * h.x)) / A.x;
	gl_FragColor.y = (b.y + (4.0 * h.y)) / A.y;
	gl_FragColor.z = (b.z + (4.0 * h.z)) / A.z;
	gl_FragColor.w = (b.w + (4.0 * h.w)) / A.w;*/
}