varying vec3  Reflect;
varying vec3  Refract;
varying float Ratio;
varying bool Wall;

uniform samplerCube CubeMap;
uniform samplerCube CubeMap2;

void main()
{
	vec3 reflectColor;
	if (Wall)
		reflectColor = vec3(textureCube(CubeMap, Reflect));
	else
		reflectColor = vec3(textureCube(CubeMap2, Reflect));

	vec3 refractColor = vec3(textureCube(CubeMap, Refract));

	vec3 color   = mix(refractColor, reflectColor, Ratio);

	gl_FragColor = vec4(color, 1.0);
}
