uniform sampler2D X;
uniform float TexelDist;

void main(void)
{
	// perform sum reduction of X
	vec2 right = vec2(gl_TexCoord[0].s + TexelDist, gl_TexCoord[0].t);
	vec2 bottom = vec2(gl_TexCoord[0].s, gl_TexCoord[0].t + TexelDist);
	vec2 bottomright = vec2(right.x, bottom.y);
	
	gl_FragColor.x = 
		texture2D(X, gl_TexCoord[0].st).x + 
		texture2D(X, right).x + 
		texture2D(X, bottom).x + 
		texture2D(X, bottomright).x;
}